<template>
	<button
		ref="button"
		:aria-expanded="showAdd ? 'true' : 'false'"
		:aria-label="showAdd ? `Add new ${title}` : `Add new ${title}`"
		class="flex items-center cursor-pointer focus:outline-none focus:ring-1 focus:ring-black"
		@click="
			$emit('add-address');
			check();
		"
		@keyup.enter="
			addAddress;

			check();
		"
	>
		<img v-if="!showAdd" src="~/assets/images/combined-shape.svg" class="h-4 w-4" :alt="`Add new ${title}`" />
		<img v-else src="~/assets/images/combined-shape-minus.svg" class="h-4 w-4" :alt="`Remove new ${title}`" />
		<p class="font-primary-font-bold text-base leading-6 pl-4">
			{{ `Add new ${title}` }}
		</p>
	</button>
</template>
<script>
import { mapState } from 'vuex';
export default {
	name: 'MkAddNewAddressTitle',
	props: {
		showAdd: {
			type: Boolean,
			default: false,
		},
		title: {
			type: String,
			default: 'address',
		},
	},
	computed: {
		...mapState('CART_STORE', ['GUEST_USER']),
	},
	mounted() {
		if (this.GUEST_USER) {
			this.$emit('add-address');
		}
	},
	methods: {
		check() {
			this.$root.$utility.elementFocus(this, 'button');
		},
		addAddress($evt) {
			if (
				$evt.keyCode === 32 ||
				$evt.keyCode === 13 ||
				$evt.keyCode === 38 ||
				$evt.keyCode === 39 ||
				$evt.keyCode === 40
			) {
				this.$emit('add-address');
			}
		},
	},
};
</script>
